public inbox for linux-block@vger.kernel.org
 help / color / mirror / Atom feed
From: Christoph Hellwig <hch@lst.de>
To: Shin'ichiro Kawasaki <shinichiro.kawasaki@wdc.com>
Cc: linux-block@vger.kernel.org
Subject: [PATCH blktests 05/13] block/006: convert to use _configure_null_blk
Date: Fri,  3 Jun 2022 06:55:50 +0200	[thread overview]
Message-ID: <20220603045558.466760-6-hch@lst.de> (raw)
In-Reply-To: <20220603045558.466760-1-hch@lst.de>

Switch to use _configure_null_blk so that built-in null_blk can be
supported, which implies not using the default nullb0 device.

Signed-off-by: Christoph Hellwig <hch@lst.de>
---
 tests/block/006 | 6 +++---
 1 file changed, 3 insertions(+), 3 deletions(-)

diff --git a/tests/block/006 b/tests/block/006
index 7ca1021..7d05b11 100755
--- a/tests/block/006
+++ b/tests/block/006
@@ -24,18 +24,18 @@ test() {
 	_divide_timeout 2
 	FIO_PERF_FIELDS=("read iops")
 
-	if ! _init_null_blk submit_queues=2 blocking=1; then
+	if ! _configure_null_blk nullb1 submit_queues=2 blocking=1 power=1; then
 		return 1
 	fi
 
 	# run sync test
 	_fio_perf --bs=4k --ioengine=sync --rw=randread --norandommap --name=sync \
-		--filename=/dev/nullb0 --size=5g --direct=1
+		--filename=/dev/nullb1 --size=5g --direct=1
 
 	# run async test
 	_fio_perf --bs=4k --ioengine=libaio --iodepth=8 --numjobs="$(nproc)" \
 		--rw=randread --norandommap --name=async \
-		--filename=/dev/nullb0 --size=5g --direct=1
+		--filename=/dev/nullb1 --size=5g --direct=1
 
 	_exit_null_blk
 
-- 
2.30.2


  parent reply	other threads:[~2022-06-03  4:56 UTC|newest]

Thread overview: 18+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2022-06-03  4:55 allow to run most tests with built-in null_blk Christoph Hellwig
2022-06-03  4:55 ` [PATCH blktests 01/13] common/null_blk: remove explicit queue_mode=2 parameters Christoph Hellwig
2022-06-07  1:47   ` Chaitanya Kulkarni
2022-06-03  4:55 ` [PATCH blktests 02/13] common/null_blk: allow _configure_null_blk with built-in null_blk Christoph Hellwig
2022-06-03  4:55 ` [PATCH blktests 03/13] common/null_blk: respect RUN_FOR_ZONED in _configure_null_blk Christoph Hellwig
2022-06-03  4:55 ` [PATCH blktests 04/13] block/029: don't require modular null_blk Christoph Hellwig
2022-06-03  4:55 ` Christoph Hellwig [this message]
2022-06-03  4:55 ` [PATCH blktests 06/13] block/016: convert to use _configure_null_blk Christoph Hellwig
2022-06-03  4:55 ` [PATCH blktests 07/13] block/017: " Christoph Hellwig
2022-06-03  4:55 ` [PATCH blktests 08/13] block/018: " Christoph Hellwig
2022-06-03  4:55 ` [PATCH blktests 09/13] block/020: " Christoph Hellwig
2022-06-03  4:55 ` [PATCH blktests 10/13] block/021: " Christoph Hellwig
2022-06-03  4:55 ` [PATCH blktests 11/13] block/023: " Christoph Hellwig
2022-06-03  4:55 ` [PATCH blktests 12/13] block/024: " Christoph Hellwig
2022-06-03  4:55 ` [PATCH blktests 13/13] zbd: allow falling back to builtin null_blk Christoph Hellwig
2022-06-06 10:41   ` Shinichiro Kawasaki
2022-06-06 11:44 ` allow to run most tests with built-in null_blk Shinichiro Kawasaki
  -- strict thread matches above, loose matches on Subject: below --
2022-06-07 12:47 allow to run most tests with built-in null_blk v2 Christoph Hellwig
2022-06-07 12:47 ` [PATCH blktests 05/13] block/006: convert to use _configure_null_blk Christoph Hellwig

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=20220603045558.466760-6-hch@lst.de \
    --to=hch@lst.de \
    --cc=linux-block@vger.kernel.org \
    --cc=shinichiro.kawasaki@wdc.com \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox